### Function

# Gimp text_layer_get_base_direction

#### Declaration [src]

    GimpTextDirection
    gimp_text_layer_get_base_direction (
      GimpLayer* layer
    )

#### Description [src]

Get the base direction used for rendering the text layer.

This procedure returns the base direction used for rendering the text in the text layer.

Available since: | 2.6

#### Parameters

`layer` | `GimpLayer`
| The text layer.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GimpTextDirection`
| The based direction used for the text layer.